aboutsummaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/zope-contenttype/Manifest1
-rw-r--r--dev-python/zope-contenttype/metadata.xml28
-rw-r--r--dev-python/zope-contenttype/zope-contenttype-4.6.ebuild46
3 files changed, 75 insertions, 0 deletions
diff --git a/dev-python/zope-contenttype/Manifest b/dev-python/zope-contenttype/Manifest
new file mode 100644
index 0000000..690c070
--- /dev/null
+++ b/dev-python/zope-contenttype/Manifest
@@ -0,0 +1 @@
+DIST zope-contenttype-4.6.gh.tar.gz 18571 BLAKE2B 171ee55f16db26f6553641d9367b320c834c8d4a7f9838d387e1aa09aedd961105ba49ad1aff4fd8ace140182902477e887f9cb483161260160ab12f0319b4cd SHA512 43b5122ff5fb35ee9188f8bfdd89247f0c2c3fb7b68fbfb7f2d0090e434f6c449bd58c876dd136028de323a8c8e4b5600a42ae91f75a8274cb65e030ecfcbc1f
diff --git a/dev-python/zope-contenttype/metadata.xml b/dev-python/zope-contenttype/metadata.xml
new file mode 100644
index 0000000..3ede3f8
--- /dev/null
+++ b/dev-python/zope-contenttype/metadata.xml
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ A utility module for content-type (MIME type) handling.
+
+ Functions include:
+
+ Guessing a content type given a name and (optional) body data.
+ Guessing a content type given some text.
+ Parsing MIME types.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.contenttype/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.contenttype/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopecontenttype.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zope.contenttype</remote-id>
+ <remote-id type="pypi">zope.contenttype</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-contenttype/zope-contenttype-4.6.ebuild b/dev-python/zope-contenttype/zope-contenttype-4.6.ebuild
new file mode 100644
index 0000000..c3a4b50
--- /dev/null
+++ b/dev-python/zope-contenttype/zope-contenttype-4.6.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Utility module for handling MIMEtypes"
+HOMEPAGE="https://github.com/zopefoundation/zope.contenttype"
+SRC_URI="https://github.com/zopefoundation/zope.contenttype/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ doc? ( dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ distutils_write_namespace zope
+ eunittest
+}